package cn.im.trafficplan.dao;

import java.sql.SQLException;
import java.util.List;
import java.util.Map;
import javax.annotation.PostConstruct;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;
import org.springframework.stereotype.Repository;
import com.ibatis.sqlmap.client.SqlMapClient;

@Repository("trafficplanexecmodeDao")
public class TrafficplanexecmodeDao  extends SqlMapClientDaoSupport{

	@Autowired 
    private SqlMapClient sqlMapClient;  
      
	@PostConstruct          
    public  void initSqlMapClient(){  
    	super.setSqlMapClient(sqlMapClient);      
    }
	
	
	/**
	 * 增加记录
	 */
	public void insert_Trafficplanexecmode(Map map) throws SQLException{
		this.getSqlMapClientTemplate().insert("insert_Trafficplanexecmode",map);
	}

	/**
	 * 修改记录
	 */
	public Integer update_Trafficplanexecmode(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().update("update_Trafficplanexecmode",map);
	}
	
	/**
	 * 删除记录
	 */
	public Integer delete_Trafficplanexecmode(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_Trafficplanexecmode",map);
	}
	
	/**
	 * 根据planID删除记录
	 */
	public Integer delete_TrafficplanexecmodeByPlanID(String str) throws SQLException{
		return this.getSqlMapClientTemplate().delete("delete_TrafficplanexecmodeByPlanID",str);
	}
	
	
	/**
	 * 查询总数
	 */
	public Integer count_Trafficplanexecmode(Map map) throws SQLException{
		return (Integer)this.getSqlMapClientTemplate().queryForObject("count_Trafficplanexecmode",map);
	}
	
	/**
	 * 查询列表记录
	 */
	public List<Map> query_Trafficplanexecmode(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Trafficplanexecmode",map);
	}
	
	/**
	 * 编辑初始化查询列表记录
	 */
	public List<Map> query_Trafficplanexecmode_Origin(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Trafficplanexecmode_Origin",map);
	}
	
	public List<Map> query_Trafficplanexecmode_plan(Map map) throws SQLException{
		return this.getSqlMapClientTemplate().queryForList("query_Trafficplanexecmode_plan",map);
	}
	
	
}
